Index: modules/sk/sk_socket.c
diff -Nau modules/sk/sk_socket.c.orig modules/sk/sk_socket.c
--- modules/sk/sk_socket.c.orig	Thu Jul  3 09:55:41 2003
+++ modules/sk/sk_socket.c	Tue Dec  9 15:51:05 2003
@@ -65,7 +65,9 @@
 
 #ifdef __linux__
   if(getservbyname_r(service, proto, &result, buffer, sizeof(buffer), &serv) < 0) serv = NULL;
-#else  
+#elif defined(__FreeBSD__)
+  serv = getservbyname(service, proto);
+#else
   serv = getservbyname_r(service, proto, &result, buffer, sizeof(buffer));
 #endif
   
@@ -261,6 +263,9 @@
 #ifdef __linux__
   er = (gethostbyname_r(hostname,  &result, aliasbuf, 
 			sizeof(aliasbuf), &hp, &error) < 0 );
+#elif defined(__FreeBSD__)
+  hp = gethostbyname(hostname);
+  er = ( hp == NULL );
 #else /* default is Solaris implementation */                             
   hp = gethostbyname_r(hostname,  &result, aliasbuf, 
 		       sizeof(aliasbuf), &error);
Index: modules/ud/ud_main.c
diff -Nau modules/ud/ud_main.c.orig modules/ud/ud_main.c
--- modules/ud/ud_main.c.orig	Thu Jul  3 09:55:49 2003
+++ modules/ud/ud_main.c	Tue Dec  9 15:51:05 2003
@@ -120,6 +120,8 @@
  }
 #ifdef __linux__
  if(gethostbyname_r(nrtm->server,  &result, host_info, sizeof(host_info), &hptr, &error)<0)  hptr=NULL;
+#elif defined(__FreeBSD__)
+ hptr=gethostbyname(nrtm->server);
 #else/* default is Solaris implementation */
  hptr=gethostbyname_r(nrtm->server,  &result, host_info, sizeof(host_info), &error);
 #endif
Index: modules/qi/query_instructions.h
diff -Nau modules/qi/query_instructions.h.orig modules/qi/query_instructions.h
--- modules/qi/query_instructions.h.orig	2005-01-05 13:34:01 +0100
+++ modules/qi/query_instructions.h	2005-01-05 13:34:21 +0100
@@ -92,7 +92,7 @@
 
 
 
-#define Q_REC         "INSERT INTO %s SELECT pe_ro_id FROM %s IDS STRAIGHT_JOIN %s WHERE object_id = IDS.id"
+#define Q_REC         "INSERT IGNORE INTO %s SELECT pe_ro_id FROM %s IDS STRAIGHT_JOIN %s WHERE object_id = IDS.id"
 
 #if 0
 #define Q_NO_OBJECTS  "SELECT object_id, sequence_id, object FROM last WHERE object_id = 0"
Index: Makefile.site.in
diff -Nau Makefile.site.in.orig Makefile.site.in
--- Makefile.site.in.orig	Wed Jul 30 10:17:29 2003
+++ Makefile.site.in	Tue Dec  9 15:51:05 2003
@@ -67,5 +67,5 @@
 
 CFLAGS  = @LDFLAGS@ @CFLAGS@ -g $(INCLUDES) $(DEFINES) @XMLCFLAGS@ @XSLTCFLAGS@
 LFLAGS  = @LDFLAGS@ @CFLAGS@ -g -L$(RIPLIBDIR) -L$(MYSQLLIBDIR) 
-LIBS = `$(GLIBCONF) --libs gthread` -lmysqlclient_r -lm $(ACLIBS) $(CCLIENTLIBDIR)/c-client.a @XMLLIBS@ @XSLTLIBS@
+LIBS = `$(GLIBCONF) --libs gthread` -lmysqlclient_r -lm $(ACLIBS) $(CCLIENTLIBDIR)/libimap.a -lssl -lcrypto @XMLLIBS@ @XSLTLIBS@
 
Index: configure
diff -Nau configure.orig configure
--- configure.orig	Tue Jul 29 11:45:09 2003
+++ configure	Tue Dec  9 15:51:05 2003
@@ -1311,20 +1311,20 @@
 
 topdir=$prefix
 bindir=${topdir}/bin
-confdir=${topdir}/conf
-scriptdir=${topdir}/scripts
-utildir=${topdir}/utils
-docdir=${topdir}/doc
-vardir=${topdir}/var
+confdir=${topdir}/etc/ripe-dbase
+scriptdir=${topdir}/libexec/ripe-dbase
+utildir=${topdir}/libexec/ripe-dbase
+docdir=${topdir}/share/ripe-dbase
+vardir=${topdir}/var/ripe-dbase
 tmpdir=${vardir}/tmp
-lockdir=${vardir}/lock
+lockdir=${vardir}/run
 
-libdir=${topdir}/lib/gnudl
+libdir=${topdir}/lib/ripe-dbase
 mandir=${topdir}/man/man1
 
 #######
 # Log infrastructure
-logdir=${topdir}/log
+logdir=${topdir}/var/ripe-dbase/log
 qrylog=${logdir}/qry
 dbuperr=${logdir}/dbuperr
 allriperr=${logdir}/riperr
@@ -1490,9 +1490,9 @@
   mysqllibdir=$mysql/lib
 fi;
 
-as_ac_File=`echo "ac_cv_file_$mysqllibdir/libmysqlclient_r.so" | $as_tr_sh`
-echo "$as_me:$LINENO: checking for $mysqllibdir/libmysqlclient_r.so" >&5
-echo $ECHO_N "checking for $mysqllibdir/libmysqlclient_r.so... $ECHO_C" >&6
+as_ac_File=`echo "ac_cv_file_$mysqllibdir/libmysqlclient_r.a" | $as_tr_sh`
+echo "$as_me:$LINENO: checking for $mysqllibdir/libmysqlclient_r.a" >&5
+echo $ECHO_N "checking for $mysqllibdir/libmysqlclient_r.a $ECHO_C" >&6
 if eval "test \"\${$as_ac_File+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
@@ -1500,7 +1500,7 @@
   { { echo "$as_me:$LINENO: error: cannot check for file existence when cross compiling" >&5
 echo "$as_me: error: cannot check for file existence when cross compiling" >&2;}
    { (exit 1); exit 1; }; }
-if test -r "$mysqllibdir/libmysqlclient_r.so"; then
+if test -r "$mysqllibdir/libmysqlclient_r.a"; then
   eval "$as_ac_File=yes"
 else
   eval "$as_ac_File=no"
@@ -1511,7 +1511,7 @@
 if test `eval echo '${'$as_ac_File'}'` = yes; then
   :
 else
-  echo "MySQL library directory does not contain libmysqlclient_r.so !";
+  echo "MySQL library directory does not contain libmysqlclient_r.a !";
 	      echo "Please specify a suitable MySQL library directory: --with-mysqllib=DIR"; exit 1
 fi
 
@@ -1705,9 +1705,9 @@
 fi
 
 
-as_ac_File=`echo "ac_cv_file_$cclientlib/c-client.a" | $as_tr_sh`
-echo "$as_me:$LINENO: checking for $cclientlib/c-client.a" >&5
-echo $ECHO_N "checking for $cclientlib/c-client.a... $ECHO_C" >&6
+as_ac_File=`echo "ac_cv_file_$cclientlib/libimap" | $as_tr_sh`
+echo "$as_me:$LINENO: checking for $cclientlib/libimap.a" >&5
+echo $ECHO_N "checking for $cclientlib/libimap.a... $ECHO_C" >&6
 if eval "test \"\${$as_ac_File+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
@@ -1715,7 +1715,7 @@
   { { echo "$as_me:$LINENO: error: cannot check for file existence when cross compiling" >&5
 echo "$as_me: error: cannot check for file existence when cross compiling" >&2;}
    { (exit 1); exit 1; }; }
-if test -r "$cclientlib/c-client.a"; then
+if test -r "$cclientlib/libimap.a"; then
   eval "$as_ac_File=yes"
 else
   eval "$as_ac_File=no"
@@ -1726,7 +1726,7 @@
 if test `eval echo '${'$as_ac_File'}'` = yes; then
   :
 else
-  echo "c-client lib directory does not contain c-client.a !";
+  echo "c-client lib directory does not contain libimap.a !";
 	      echo "Please specify a suitable c-client library directory: --with-cclientlib=DIR"; exit 1
 fi
 
Index: modules/ip/inet_ntop.c
--- modules/ip/inet_ntop.c.orig	2005-02-16 20:34:26 +0100
+++ modules/ip/inet_ntop.c	2005-02-16 20:34:30 +0100
@@ -29,7 +29,6 @@
 #include <sys/types.h>
 #include <sys/socket.h>
 #include <netinet/in.h>
-#include <arpa/inet.h>
 #include <arpa/nameser.h>
 
 #include <string.h>
Index: modules/ip/inet_pton.c
--- modules/ip/inet_pton.c.orig	2000-12-27 17:07:07 +0100
+++ modules/ip/inet_pton.c	2005-02-16 20:36:54 +0100
@@ -32,7 +32,6 @@
 #include <sys/types.h>
 #include <sys/socket.h>
 #include <netinet/in.h>
-#include <arpa/inet.h>
 #include <arpa/nameser.h>
 
 #include <assert.h>
